<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EditPNR StructType
 * @package Dg
 * @subpackage Structs
 */
class DgEditPNR extends AbstractStructBase
{
    /**
     * The EditPNRRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgEditPNRRQ
     */
    public $EditPNRRQ;
    /**
     * Constructor method for EditPNR
     * @uses DgEditPNR::setEditPNRRQ()
     * @param \dgsoft\StructType\DgEditPNRRQ $editPNRRQ
     */
    public function __construct(\dgsoft\StructType\DgEditPNRRQ $editPNRRQ = null)
    {
        $this
            ->setEditPNRRQ($editPNRRQ);
    }
    /**
     * Get EditPNRRQ value
     * @return \dgsoft\StructType\DgEditPNRRQ|null
     */
    public function getEditPNRRQ()
    {
        return $this->EditPNRRQ;
    }
    /**
     * Set EditPNRRQ value
     * @param \dgsoft\StructType\DgEditPNRRQ $editPNRRQ
     * @return \dgsoft\StructType\DgEditPNR
     */
    public function setEditPNRRQ(\dgsoft\StructType\DgEditPNRRQ $editPNRRQ = null)
    {
        $this->EditPNRRQ = $editPNRRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgEditPNR
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
